DM_NATIVE_WAIT_INPUT(3)

EXPERIMENTAL_FUNC
dm_native_wait_input - Block waiting for input on a file descriptor.

SYNOPSIS
#include <karma_dm.h>

flag dm_native_wait_input

(int fd, int timeout)

DESCRIPTION
Block waiting for input on a file descriptor.

fd  The file descriptor.

timeout
    The time to wait for (in milliseconds). If this is less than 0 the function waits indefinately.

RETURN VALUE
TRUE on activity, else FALSE on error/timeout.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/